<?php
namespace App\Models\order\mysql;

use Api\PhpUtils\Mysql\MysqlBase;
use App\Exception\custom\PayException;

class PayOrder extends MysqlBase
{
    const TABLE_NAME = 'pay_order';
    const CONFIG_INDEX = 'pay';

    /**
     * @param $order_id
     * @param $pay_order
     * @return array
     */
    public static function get_valid_order($order_id, $pay_order) {

        self::beginTransaction();
        $_date = date('Y-m-d H:i:s');
        $order = self::getMaster('*', ['order_id'=>$order_id, 'expire_time[>]'=>$_date]);
        if(empty($order)) {
            self::insert($pay_order, ['rowCount'=>true]);
            $order = $pay_order;
        }
        self::commit();
        return $order;
    }
}
