<?php

use App\Base\Base;

use App\Services\pay\PayService;
use App\Services\refund\RefundService;


class CallbackController extends Base
{
    /**
     * 创建支付订单，返回前端ping++的支付信息
     */
    public function payAction()
    {
        try{

            $raw_data = file_get_contents('php://input');

            $paySrv = new PayService();
            //todo ping++ 回调数据验签

            $data = json_decode($raw_data, true);

            $ret = $paySrv->call_back($data);

            $this->success(['result'=>$ret]);

        }catch (Exception $e) {
            http_response_code(500);
            $this->failed('500');
        }
    }

    public function refundAction() {

        try{
            $raw_data = file_get_contents('php://input');
            $data = json_decode($raw_data, true);

            $refundSrv = new RefundService();
            $ret = $refundSrv->call_back($data);

            $this->success(['result'=>$ret]);

        }catch (Exception $e) {

            http_response_code(500);
            $this->failed('500');
        }
    }

    public function verifyAction() {
        $raw_data = file_get_contents('php://input');
        $headers = \Pingpp\Util\Util::getRequestHeaders();
        $result = \App\Services\pingxx\PingxxService::getInstance()->verifySignature($raw_data, $headers);

    }
}
